Bekleyen veya çalışan kural işini iptal et
curl --request POST \
--url https://api.tahsil.dev/banks/transaction-rule-runs/{id}/cancel \
--header 'Authorization: Bearer <token>' \
--header 'x-company-id: <x-company-id>'const options = {
method: 'POST',
headers: {'x-company-id': '<x-company-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.tahsil.dev/banks/transaction-rule-runs/{id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tahsil.dev/banks/transaction-rule-runs/{id}/cancel",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-company-id: <x-company-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"status": true,
"result": {
"id": "<string>",
"companies": "<string>",
"ruleId": "<string>",
"ruleVersion": 2,
"scope": {
"from": "2023-11-07T05:31:56Z",
"to": "2023-11-07T05:31:56Z",
"accountIds": [
"<string>"
],
"bankCodes": [
"<string>"
]
},
"candidateCount": 1,
"matchedCount": 1,
"ruleSnapshotHash": "<string>",
"previewRunId": "<string>",
"revokedCount": 1,
"sampleTransactionIds": [
"<string>"
],
"attempts": 1,
"failureCount": 1,
"lastError": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"scopeHash": "<string>",
"snapshotMaxId": "<string>",
"cursorId": "<string>",
"nextAttemptAt": "2023-11-07T05:31:56Z",
"lockOwner": "<string>",
"lockUntil": "2023-11-07T05:31:56Z",
"createdBy": "<string>"
}
}{
"status": false,
"code": "TRANSACTION_AMOUNT_RANGE_INVALID",
"message": "minAmount, maxAmount değerinden büyük olamaz."
}Bekleyen veya çalışan kural işini iptal et
POST
/
banks
/
transaction-rule-runs
/
{id}
/
cancel
Bekleyen veya çalışan kural işini iptal et
Yetkilendirmeler
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Başlıklar
Yazma işleminin hedef firma kimliği.
Yol Parametreleri
Bu sayfa yararlı mıydı?
Başarısız kural çalışmasını yeniden dene
Önceki
Hareketin manuel ve otomatik atamalarını listele
Sonraki
⌘I